#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define with_kitchensync 0
%{?_with_kitchensync: %{expand: %%global with_kitchensync 1}}
%define kontact_mobile 0
%define kalarm_with_akonadi 1
%define rel 3
%define grantlee_version 0.3.0

Name: kdepim4
Summary: K Desktop Environment
Version: 4.10.2
Release: %mkrel %{rel}
Epoch: 2
Group: Graphical desktop/KDE
License: GPLv2 and LGPLv2 and GFDL
URL: http://pim.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdepim-%version.tar.xz

BuildRequires: kdepim4-runtime-devel >= 2:%version
BuildRequires: nepomuk-core-devel
BuildRequires: nepomuk-widgets-devel
BuildRequires: grantlee-devel >= %grantlee_version
BuildRequires: dblatex
BuildRequires: boost-devel
BuildRequires: pkgconfig(shared-desktop-ontologies)
BuildRequires: desktop-file-utils

# Patches from branch 100 - 199
Patch100: kdepim-4.10.2-messageutils-fix-kde-317780.patch
Patch101: kdepim-4.10.2-libkdepim-add-missing-mimetype.patch
Patch102: kdepim-4.10.2-libkdepim-use-correct-index.patch 
Patch103: kdepim-4.10.2-libkdepim-fix-completion-kde-259949.patch

# Trunk Patches 200 - 299

# Test patches : 300+

# Mageia Patches 400+

%if %{with_kitchensync}
BuildRequires: libopensync-devel >= 0.30
%endif

Suggests:      kleopatra
Suggests:      akregator
%if %{with_kitchensync}
Suggests:      kitchensync
%endif
Suggests: knode
Suggests: kaddressbook
Suggests: kalarm
Suggests: ktimetracker
Suggests: kmail
Suggests: kmailcvt
Suggests: knotes
Suggests: kontact
Suggests: korganizer
Suggests: ksendemail
Suggests: kjots

%description
Information Management applications for the K Desktop Environment.
	- kaddressbook: The KDE addressbook application.
	- korganizer: a calendar-of-events and todo-list manager
	- kalarm: gui for setting up personal alarm/reminder messages
	- kalarmd: personal alarm/reminder messages daemon, shared by korganizer
	  and kalarm.
	- kaplan: A shell for the PIM apps, (still experimental).
	- ktimetracker: Time tracker.
	- kfile-plugins: vCard KFIleItem plugin.
	- knotes: yellow notes application
	- konsolecalendar: Command line tool for accessing calendar files.
	- kmail: universal mail client
	- kmailcvt: a tool to convert addressbooks to kmail format
%if %{with_kitchensync}
	- kitchensync: Synchronisation framework, still under heavy development.
%endif

%files

#------------------------------------------------------------------------------

%package core
Summary: Core files for kdepim
Group: Graphical desktop/KDE	
Requires: kdelibs4-core
Requires: kdebase4-runtime
Conflicts: akonadi-kde < 2:4.3.85
Conflicts: kdepim4-devel < 2:4.6.90-2
Conflicts: %{_lib}kdepim4 < 2:4.7.0
Conflicts: %{_lib}kpgp4 < 2:4.7.0

%description core
Core files of kdepim.

%files core
%doc README
%docdir %_kde_docdir/
%_kde_bindir/pimsettingexporter
%_kde_libdir/strigi/*
%_kde_iconsdir/*/*/*/*
%dir %_kde_services/kontact
%_datadir/dbus-1/interfaces/org.kde.mailtransport.service.xml
%_kde_appsdir/kdepimwidgets
%_kde_datadir/ontology/kde/messagetag.*
%_kde_appsdir/pimsettingexporter/pimsettingexporter.rc
%_kde_libdir/kde4/plugins/designer/kdepimwidgets.so
%_kde_appsdir/kconf_update/kpgp-3.1-upgrade-address-data.pl
%_kde_appsdir/kconf_update/kpgp.upd

#------------------------------------------------------------------------------

%define mailimporter_major 4
%define libmailimporter %mklibname mailimporter %{mailimporter_major}

%package -n %libmailimporter
Summary: Mail Importer Library
Group: System/Libraries

%description -n %libmailimporter
Mail Importer Library

%files -n %libmailimporter
%_kde_libdir/libmailimporter.so.%{mailimporter_major}*

#------------------------------------------------------------------------------

%define kaddressbookprivate_major 4
%define libkaddressbookprivate %mklibname kaddressbookprivate %{kaddressbookprivate_major}

%package -n %libkaddressbookprivate
Summary: KaddressBook library
Group: System/Libraries

%description -n %libkaddressbookprivate
KAddressBook runtime library.

%files -n %libkaddressbookprivate
%_kde_libdir/libkaddressbookprivate.so.%{kaddressbookprivate_major}*

#------------------------------------------------------------------------------

%define kontactprivate_major 4
%define libkontactprivate %mklibname kontactprivate %{kontactprivate_major}

%package -n %libkontactprivate
Summary: Kontact runtime library
Group: System/Libraries

%description -n %libkontactprivate
Kontact runtime library.

%files -n %libkontactprivate
%_kde_libdir/libkontactprivate.so.%{kontactprivate_major}*

#------------------------------------------------------------------------------

%define korganizer_core_major 4
%define libkorganizer_core %mklibname korganizer_core %{korganizer_core_major}

%package -n %libkorganizer_core
Summary: Korganizer runtime library
Group: System/Libraries

%description -n %libkorganizer_core
KOrganizer runtime library.

%files -n %libkorganizer_core
%_kde_libdir/libkorganizer_core.so.%{korganizer_core_major}*

#------------------------------------------------------------------------------

%define libkdepim_major 4
%define libkdepim %mklibname kdepim %libkdepim_major

%package -n %libkdepim
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkdepim
KDE PIM runtime libraries.

%files -n %libkdepim
%_kde_libdir/libkdepim.so.%{libkdepim_major}*

#------------------------------------------------------------------------------

%define kpgp_major 4
%define libkpgp %mklibname kpgp %{kpgp_major}

%package -n %libkpgp
Summary: KGPG runtime library
Group: System/Libraries

%description -n %libkpgp
KGPG runtime library.

%files -n %libkpgp
%_kde_libdir/libkpgp.so.%{kpgp_major}*

#------------------------------------------------------------------------------

%package -n kleopatra
Summary: KDE Certificate Manager
Group: Security
URL:   http://www.kde.org/applications/utilities/kleopatra/

Requires: %name-core = %epoch:%version
Suggests: kleopatra-handbook

%description -n kleopatra
Kleopatra is a certificate manager and a universal crypto GUI. It supports
managing X.509 and OpenPGP certificates in the GpgSM keybox and retrieving
certificates from LDAP servers.

%files -n kleopatra
%_kde_bindir/kleopatra
%_kde_bindir/kgpgconf
%_kde_bindir/kwatchgnupg
%_kde_applicationsdir/kleopatra.desktop
%_kde_configdir/libkleopatrarc
%_kde_applicationsdir/kleopatra_import.desktop
%_kde_appsdir/kleopatra
%_kde_appsdir/libkleopatra
%_kde_appsdir/kwatchgnupg
%_kde_services/kleopatra_*
%_kde_libdir/kde4/kcm_kleopatra.so

#------------------------------------------------------------------------------

%package -n kleopatra-handbook
Summary: Kleopatra and Kwatchgnugpg handbooks
Conflicts: kleopatra < 2:4.7.1
Requires:  kleopatra => %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n kleopatra-handbook
This package provides handbooks for Kleopatra & Kwatchgnugpg

%files -n kleopatra-handbook
%_kde_docdir/HTML/en/kleopatra
%_kde_docdir/HTML/en/kwatchgnupg

#------------------------------------------------------------------------------

%define ksieve_major 4
%define libksieve %mklibname ksieve %{ksieve_major}

%package -n %libksieve
Summary: KSieve runtime library
Group: System/Libraries

%description -n %libksieve
KSieve (a Sieve parser and interpreter library) runtime library.

Sieve is a programming language that can be used to create filters for email.

%files -n %libksieve
%_kde_libdir/libksieve.so.%{ksieve_major}*

#------------------------------------------------------------------------------

%define akregatorinterfaces_major 4
%define libakregatorinterfaces %mklibname akregatorinterfaces %{akregatorinterfaces_major}

%package -n %libakregatorinterfaces
Summary: Akregator runtime library
Group: System/Libraries

%description -n %libakregatorinterfaces
Akregator runtime library.

%files -n %libakregatorinterfaces
%_kde_libdir/libakregatorinterfaces.so.%{akregatorinterfaces_major}*

#------------------------------------------------------------------------------

%define akregatorprivate_major 4
%define libakregatorprivate %mklibname akregatorprivate %{akregatorprivate_major}

%package -n %libakregatorprivate
Summary: Akgregator runtime library
Group: System/Libraries

%description -n %libakregatorprivate
Akregator runtime library.

%files -n %libakregatorprivate
%_kde_libdir/libakregatorprivate.so.*

#------------------------------------------------------------------------------

%package -n akregator
Summary: A Feed Reader for KDE
Group:   Networking/Other
URL:  http://www.kde.org/applications/internet/akregator/

Requires: %name-core = %epoch:%version
Conflicts: kdepim4-devel < 2:4.6.90-2
Suggests: akregator-handbook

%description -n akregator
Akregator is a news feed reader for the KDE desktop. It enables you to
follow news sites, blogs and other RSS/Atom-enabled websites without
the need to manually check for updates using a web browser. Akregator
is designed to be both easy to use and to be powerful enough to read
hundreds of news sources conveniently. It comes with Konqueror
integration for adding news feeds and with an internal browser for
easy news reading.

%files -n akregator
%_kde_bindir/akregator
%_kde_bindir/akregatorstorageexporter
%_kde_applicationsdir/akregator.desktop
%_kde_appsdir/akregator
%_kde_services/kontact/akregatorplugin.desktop
%_kde_datadir/config.kcfg/akregator.kcfg
%_kde_services/akregator_*
%_kde_services/feed.protocol
%_kde_datadir/kde4/servicetypes/akregator_plugin.desktop
%_kde_libdir/kde4/akregator*
%_kde_libdir/kde4/kontact_akregatorplugin.so
%_kde_appsdir/akregator_sharemicroblog_plugin/akregator_sharemicroblog_plugin.rc
%_datadir/dbus-1/interfaces/org.kde.akregator.part.xml 

#------------------------------------------------------------------------------

%package -n akregator-handbook
Summary: Akgregator handbook
Conflicts: akregator < 2:4.7.1
Requires:  akregator >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n akregator-handbook
This package provides akregator handbook.

%files -n akregator-handbook
%_kde_docdir/HTML/en/akregator

#------------------------------------------------------------------------------

%if %{with_kitchensync}

%define kitchensyncprivate_major 4
%define libkitchensyncprivate %mklibname kitchensyncprivate %{kitchensyncprivate_major}

%package -n %libkitchensyncprivate
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkitchensyncprivate
KDEPIM 4 library.

%files -n %libkitchensyncprivate
%_kde_libdir/libkitchensyncprivate.so.%{kitchensyncprivate_major}*

#------------------------------------------------------------------------------

%define qopensync_major 4
%define libqopensync %mklibname qopensync %{qopensync_major}

%package -n %libqopensync
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libqopensync
KDEPIM 4 library.

%files -n %libqopensync
%_kde_libdir/libqopensync.so.%{qopensync_major}*

#------------------------------------------------------------------------------

%package -n kitchensync
Summary: KDE KitchenSync
Group: Communications/Mobile
Requires: %name-core = %epoch:%version


%description -n kitchensync
The KDE Synchronization Tool

%files -n kitchensync
%_kde_bindir/kitchensync
%_kde_applicationsdir/kitchensync.desktop
%_kde_appsdir/kitchensync
%_kde_libdir/kde4/kitchensyncpart.so

%endif

#------------------------------------------------------------------------------

%define knodecommon_major 4
%define libknodecommon %mklibname knodecommon %{knodecommon_major}

%package -n %libknodecommon
Summary: Knode runtime library
Group: System/Libraries

%description -n %libknodecommon
KNode runtime library.

%files -n %libknodecommon
%_kde_libdir/libknodecommon.so.%{knodecommon_major}*

#------------------------------------------------------------------------------

%package -n knode
Summary: A newsreader for the K Desktop Environment
Group:   Networking/News
URL:     http://www.kde.org/applications/internet/knode

Requires: %name-core = %epoch:%version
Requires: kdepimlibs4-core
Requires: kio4-nntp
Conflicts: kdepim4-devel < 2:4.6.90-2
Suggests: knode-handbook

%description -n knode
KNode is a newsreader for the K Desktop Environment.

It is GNKSA compliant (unfortunally a review is still pending), and has
support for MIME and multiple servers.

It is a online-reader, but in combination with a local newsserver like
leafnode also usable with dial-up connections.

%files -n knode
%_kde_bindir/knode
%_kde_applicationsdir/KNode.desktop
%_kde_appsdir/knode
%_kde_services/kontact/knodeplugin.desktop
%_kde_services/knode_config_accounts.desktop
%_kde_services/knode_config_appearance.desktop
%_kde_services/knode_config_cleanup.desktop
%_kde_services/knode_config_identity.desktop
%_kde_services/knode_config_post_news.desktop
%_kde_services/knode_config_privacy.desktop
%_kde_services/knode_config_read_news.desktop
%_kde_libdir/kde4/kcm_knode.so
%_kde_libdir/kde4/knodepart.so
%_kde_libdir/kde4/kontact_knodeplugin.so
%_kde_appsdir/kconf_update/knode.upd
%_datadir/dbus-1/interfaces/org.kde.knode.xml

#------------------------------------------------------------------------------

%package -n knode-handbook
Summary: Knode handbook
Conflicts: knode < 2:4.7.1
Requires:  knode >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n knode-handbook
This package provides knode and kioslave news handbooks.

%files -n knode-handbook
%_kde_docdir/HTML/en/knode
%_kde_docdir/HTML/en/kioslave/news

#------------------------------------------------------------------------------

%package -n kaddressbook
Summary: The KDE addressbook application
Group: Office/Management
URL:   http://www.kde.org/applications/office/kaddressbook/

Requires: %name-core = %epoch:%version
Requires: akonadi-kde
Requires: grantlee
Requires: kio4-ldap
Suggests: akonadi-google
Suggests: akonadi-facebook
Suggests: kaddressbook-handbook

Conflicts: kdepim4-devel < 2:4.6.90-2

%description -n kaddressbook
KAddressBook stores all the personal details of your family, friends and other
contacts.

Features:
    - Imports and exports to nearly every address book standard
    - Reads .vcf format files, and can import and export vCards and csv format
      files
    - Can use multiple LDAPservers
    - Configurable filters and powerful search capabilities
    - Integrates with other Kontact components, e.g. exporting Birthday
      reminders to KOrganizer
    - Capable of groupware integration
    - Powered by Akonadi

%files -n kaddressbook
%_kde_bindir/kaddressbook
%_kde_bindir/kabc2mutt
%_kde_bindir/kabcclient
%_kde_applicationsdir/kaddressbook.desktop
%_kde_appsdir/kaddressbook
%_kde_libdir/kde4/kcm_ldap.so
%_kde_libdir/akonadi/contact/editorpageplugins/cryptopageplugin.so
%_kde_libdir/kde4/kaddressbookpart.so
%_kde_libdir/kde4/kontact_kaddressbookplugin.so
%_kde_services/kaddressbookpart.desktop
%_kde_services/kontact/kaddressbookplugin.desktop
%_kde_services/kcmldap.desktop
%_datadir/dbus-1/interfaces/org.kde.addressbook.service.xml 

#------------------------------------------------------------------------------

%package -n kaddressbook-handbook
Summary: KaddressBook handbook
Conflicts: kaddressbook < 2:4.7.1
Requires:  kaddressbook >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n kaddressbook-handbook
This package provides kaddressbook handbook

%files -n kaddressbook-handbook
%_mandir/man1/kabcclient.1.*
%_kde_docdir/HTML/en/kabcclient

#------------------------------------------------------------------------------

%package -n blogilo
Summary: Blogging client for kde
Group: Networking/Other
URL:   http://www.kde.org/applications/internet/blogilo

Requires: %name-core = %epoch:%version
Suggests: blogilo-handbook

%description -n blogilo
Blogilo is a blogging client for KDE, which supports famous blogging
APIs.

It was known as Bilbo blogger before, But because of a trademark
issue, We (Blogilo developers) decided to choose a new name for it.
More information about the decision can be found at
http://blogilo.gnufolks.org/news/.

Its current features:

* A full featured WYSIWYG editor.
* An HTML editor with syntax highlighting.
* Previewing your post with your blog style! like when you are
  visiting it at your blog.
* Support for Blogger1.0, MetaWeblog, MovableType (Wordpress supports
  All of these!) and Google GData (used on Blogspot.com blogs) APIs!
* Support for Creating/Modifying/Deleting posts.
* Support for creating drafts and scheduled posts!
* Support for uploading media files to your blog (Just on supported
  APIs e.g. MetaWeblog and MovableType)
* Support for uploading to FTP server.
* Support for Fetching your recent blog entries.
* Support for adding Images to post from your system. It will upload
  them on Submitting post to blog (Just on supported APIs e.g.
  MetaWeblog and MovableType)
* Support for saving local entries before publishing.
* Saving your writing copy to prevent data loss, at configurable
  intervals.
* and ...

%files -n blogilo
%_kde_bindir/blogilo
%_kde_applicationsdir/blogilo.desktop
%_kde_datadir/config.kcfg/blogilo.kcfg
%_kde_appsdir/blogilo/blogiloui.rc
%_kde_appsdir/blogilo/TextEditorInitialHtml

#------------------------------------------------------------------------------

%package -n blogilo-handbook
Summary: Blogilo handbook
Conflicts: blogilo < 2:4.7.1
Requires:  blogilo >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n blogilo-handbook
This package provides Blogilo handbook.

%files -n blogilo-handbook
%_kde_docdir/HTML/en/blogilo

#------------------------------------------------------------------------------

%define messagecore_major 4
%define libmessagecore %mklibname messagecore %{messagecore_major}

%package -n %libmessagecore
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libmessagecore
KDEPIM 4 library.

%files -n %libmessagecore
%_kde_libdir/libmessagecore.so.%{messagecore_major}*

#------------------------------------------------------------------------------

%package -n kalarm
Summary: A personal alarm message, command and email scheduler
Group: Office/Organizer
URL:   http://www.kde.org/applications/utilities/kalarm
Requires: akonadi-kde
Requires: %name-core = %epoch:%version
Suggests: kalarm-handbook
Conflicts: kdepim4-devel < 2:4.6.90-2

%description -n kalarm
KAlarm is a personal alarm message, command and email scheduler. It lets you
set up personal alarm messages which pop up on the screen at the chosen time,
or you can schedule commands to be executed or emails to be sent.

%files -n kalarm
%_kde_bindir/kalarm
%_kde_bindir/kalarmautostart
%_kde_libdir/kde4/libexec/kalarm_helper
%_kde_applicationsdir/kalarm.desktop
%_kde_appsdir/kalarm
%_kde_appsdir/kconf_update/kalarm-1.2.1-general.pl
%_kde_appsdir/kconf_update/kalarm-1.9.5-defaults.pl
%_kde_appsdir/kconf_update/kalarm-2.0.2-general.pl
%_kde_appsdir/kconf_update/kalarm-2.1.5-general.pl
%_kde_appsdir/kconf_update/kalarm-version.pl
%_kde_appsdir/kconf_update/kalarm.upd
%_kde_datadir/autostart/kalarm.autostart.desktop
%_kde_datadir/config.kcfg/kalarmconfig.kcfg
%_sysconfdir/dbus-1/system.d/org.kde.kalarmrtcwake.conf
%_datadir/polkit-1/actions/org.kde.kalarmrtcwake.policy
%_datadir/dbus-1/system-services/org.kde.kalarmrtcwake.service
%_datadir/dbus-1/interfaces/org.kde.kalarm.kalarm.xml

%if ! %kalarm_with_akonadi
%_kde_libdir/kde4/kalarm_local.so
%_kde_libdir/kde4/kalarm_localdir.so
%_kde_libdir/kde4/kalarm_remote.so
%_kde_services/kresources/alarms/local.desktop
%_kde_services/kresources/alarms/localdir.desktop
%_kde_services/kresources/alarms/remote.desktop
%_kde_services/kresources/kalarm_manager.desktop
%endif

#------------------------------------------------------------------------------

%package -n kalarm-handbook
Summary: Kalarm handbook
Conflicts: kalarm < 2:4.7.1
Requires:  kalarm >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n kalarm-handbook
This package provides kalarm handbook

%files -n kalarm-handbook
%_kde_docdir/HTML/en/kalarm

#------------------------------------------------------------------------------
%if ! %kalarm_with_akonadi

%define kalarm_calendar_major 4 
%define libkalarm_calendar %mklibname kalarm_calendar %{kalarm_calendar_major} 

%package -n %libkalarm_calendar
Summary: KAlarm runtime library
Group: System/Libraries

%description -n %libkalarm_calendar
KAlarm runtime library.

%files -n %libkalarm_calendar
%_kde_libdir/libkalarm_calendar.so.%{kalarm_calendar_major}*

#------------------------------------------------------------------------------

%define kalarm_resources_major 4
%define libkalarm_resources %mklibname kalarm_resources %{kalarm_resources_major}

%package -n %libkalarm_resources
Summary: KAlarm runtime library
Group: System/Libraries

%description -n %libkalarm_resources
KAlarm runtime library.

%files -n %libkalarm_resources
%_kde_libdir/libkalarm_resources.so.%{kalarm_resources_major}*
%endif
#------------------------------------------------------------------------------

%package -n ktimetracker
Summary: Tracks time spent on various tasks
Group: Office/Organizer
URL:   http://www.kde.org/applications/utilities/ktimetracker

Requires: %name-core = %epoch:%version
Suggests: ktimetracker-handbook
Conflicts: kdepim4-devel < 2:4.6.90-2

%description -n ktimetracker
KTimeTracker tracks time spent on various tasks. It is useful for tracking
hours to be billed to different clients or just to find out what percentage
of your day is spent playing Doom or reading Slashdot.

%files -n ktimetracker
%_kde_bindir/karm
%_kde_bindir/ktimetracker
%_kde_appsdir/ktimetracker
%_kde_applicationsdir/ktimetracker.desktop
%_kde_services/ktimetrackerpart.desktop
%_kde_services/ktimetracker_config_behavior.desktop
%_kde_services/ktimetracker_config_display.desktop
%_kde_services/ktimetracker_config_storage.desktop
%_kde_libdir/kde4/ktimetrackerpart.so
%_kde_libdir/kde4/kcm_ktimetracker.so
%_datadir/dbus-1/interfaces/org.kde.ktimetracker.ktimetracker.xml 

#------------------------------------------------------------------------------

%package -n ktimetracker-handbook
Summary: Ktimetracker handbook
Conflicts: ktimetracker < 2:4.7.1
Requires:  ktimetracker >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n ktimetracker-handbook
This package provides ktimetracker handbook

%files -n ktimetracker-handbook
%_kde_docdir/HTML/en/ktimetracker

#------------------------------------------------------------------------------

%define kmailprivate_major 4
%define libkmailprivate %mklibname kmailprivate %{kmailprivate_major}

%package -n %libkmailprivate
Summary: KMail runtime library
Group: System/Libraries

%description -n %libkmailprivate
KMail runtime library.

%files -n %libkmailprivate
%_kde_libdir/libkmailprivate.so.%{kmailprivate_major}*

#------------------------------------------------------------------------------

%package -n kmail
Summary: KDE Email Client
Group: Networking/Mail
URL:   http://www.kde.org/applications/internet/kmail

Requires: %name-core = %epoch:%version
Requires: akonadi-kde
Requires: kdepimlibs4-core
Requires: sasl-plug-plain
Requires: sasl-plug-ntlm
Requires: sasl-plug-login
Requires: sasl-plug-digestmd5
Requires: kio4-pop3
Requires: kio4-mbox
Requires: kio4-smtp
Requires: kio4-imap
Requires: kio4-sieve
Requires: %{libmailimporter}
Requires: messageviewer
Requires: nepomuk
Requires: kwallet-daemon
Suggests: kmailcvt
Suggests: pinentry-qt4
Suggests: openssh-askpass-qt4
Suggests: kmail-handbook

Conflicts: kdepim4-devel < 2:4.6.90-2

%description -n kmail
KMail is the email component of Kontact (the integrated personal
information manager of KDE).

%files -n kmail
%_kde_bindir/kmail
%_kde_bindir/kmail_antivir.sh
%_kde_bindir/kmail_clamav.sh
%_kde_bindir/kmail_fprot.sh
%_kde_bindir/kmail_sav.sh
%_kde_bindir/akonadi_archivemail_agent
%_kde_bindir/akonadi_mailfilter_agent
%_kde_bindir/importwizard
%_kde_appsdir/akonadi_archivemail_agent
%_kde_appsdir/akonadi_mailfilter_agent
%_kde_applicationsdir/KMail2.desktop
%_kde_applicationsdir/kmail_view.desktop
%_kde_applicationsdir/importwizard.desktop
%_kde_appsdir/kconf_update/kmail*
%_kde_appsdir/kconf_update/upgrade-signature.pl
%_kde_appsdir/kconf_update/upgrade-transport.pl
%_kde_datadir/akonadi/agents/mailfilteragent.desktop
%_kde_datadir/akonadi/agents/archivemailagent.desktop
%_kde_datadir/config.kcfg/customtemplates_kfg.kcfg
%_kde_datadir/config.kcfg/kmail.kcfg
%_kde_datadir/config.kcfg/templatesconfiguration_kfg.kcfg
%_kde_datadir/config/kmail.antispamrc
%_kde_datadir/config/kmail.antivirusrc
%_kde_services/kontact/kmailplugin.desktop
%_kde_services/kmail_config_accounts.desktop
%_kde_services/kmail_config_appearance.desktop
%_kde_services/kmail_config_composer.desktop
%_kde_services/kmail_config_identity.desktop
%_kde_services/kmail_config_misc.desktop
%_kde_services/kmail_config_security.desktop
%_kde_services/kcmkmailsummary.desktop
%_kde_services/kcm_kpimidentities.desktop
%_kde_services/ServiceMenus/kmail_addattachmentservicemenu.desktop
%_kde_servicetypes/dbusmail.desktop
%_kde_libdir/kde4/kcm_kmail.so
%_kde_libdir/kde4/kmailpart.so
%_kde_libdir/kde4/kcm_kpimidentities.so
%_kde_libdir/kde4/kcm_kmailsummary.so
%_kde_libdir/kde4/kontact_kmailplugin.so
%_kde_libdir/kde4/ktexteditorkabcbridge.so
%_kde_appsdir/kmail2/kmail2.notifyrc
%_kde_appsdir/kmail2/kmail_part.rc
%_kde_appsdir/kmail2/kmcomposerui.rc
%_kde_appsdir/kmail2/kmmainwin.rc
%_kde_appsdir/kmail2/kmreadermainwin.rc
%_kde_appsdir/kmail2/tips
%_kde_appsdir/kmail2/about/
%_kde_appsdir/kmail2/pics/
%_kde_appsdir/kconf_update/mailfilteragent.upd
%_kde_appsdir/kconf_update/migrate-kmail-filters.pl
%_kde_appsdir/messagelist/pics/mail-deleted.png
%_kde_appsdir/messagelist/pics/mail-horizontal-space.png
%_kde_appsdir/messagelist/pics/mail-thread-ignored.png
%_kde_appsdir/messagelist/pics/mail-thread-watch.png
%_kde_appsdir/messagelist/pics/mail-vertical-separator-line.png
%_datadir/dbus-1/interfaces/org.kde.kmail.kmail.xml
%_datadir/dbus-1/interfaces/org.kde.kmail.kmailpart.xml 

#------------------------------------------------------------------------------

%package -n kmail-handbook
Summary: Kmail handbook
Conflicts: kmail < 2:4.7.1
Requires:  kmail >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n kmail-handbook
This package provides the kmail handbook.

%files -n kmail-handbook
%_kde_docdir/HTML/en/kmail

%package -n ktnef
Summary: TNEF Viewer/Extractor
Group: Networking/Mail
URL:   http://www.kde.org/applications/internet/kmail

Requires: %name-core = %epoch:%version
Requires: kdepimlibs4-core
Requires: kwallet-daemon
Suggests: kmail
Suggests: ktnef-handbook

Conflicts: kdepim4-devel < 2:4.6.90-2

%description -n ktnef
A TNEF Viewer/Extractor.

%files -n ktnef
%_kde_bindir/ktnef
%_kde_appsdir/ktnef
%_kde_applicationsdir/ktnef.desktop

%package -n ktnef-handbook
Summary: KTnef handbook
Requires:  ktnef >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n ktnef-handbook
This package provides the ktnef handbook.

%files -n ktnef-handbook
%_kde_docdir/HTML/en/ktnef

#------------------------------------------------------------------------------

%package -n messageviewer
Summary: Messageviewer for %name
Group: Networking/Mail
Conflicts: kmail < 2:4.6.90
Conflicts: kmail-common < 2:4.6.90
%description -n messageviewer
Messageviewer for %name

%files -n messageviewer
%_kde_appsdir/libmessageviewer/
%_kde_appsdir/messageviewer
%_kde_libdir/kde4/messageviewer_bodypartformatter_application_mstnef.so
%_kde_libdir/kde4/messageviewer_bodypartformatter_text_calendar.so
%_kde_libdir/kde4/messageviewer_bodypartformatter_text_vcard.so
%_kde_libdir/kde4/messageviewer_bodypartformatter_text_xdiff.so
%_kde_libdir/kde4/plugins/accessible/messagevieweraccessiblewidgetfactory.so

#------------------------------------------------------------------------------

%package -n kincidenceeditor
Summary: kincidenceeditor
Group: Graphical desktop/KDE
	
%description -n kincidenceeditor
New incidence editors

%files -n kincidenceeditor
%_kde_bindir/kincidenceeditor

#------------------------------------------------------------------------------

%package -n kmailcvt
Summary: KDE Mail import tool
Group: Networking/Mail
Requires: %name-core = %epoch:%version


%description -n kmailcvt
KDE Mail import tool.

%files -n kmailcvt
%_kde_bindir/kmailcvt
%_kde_appsdir/kmailcvt/pics/step1.png

#------------------------------------------------------------------------------

%package -n knotes
Summary: Notes for the K Desktop Environment
Group: Graphical desktop/KDE
URL:   http://www.kde.org/applications/utilities/knotes

Requires: %name-core = %epoch:%version
Requires: %name-kresources
Requires: kio4-nntp
Suggests: knotes-handbook
Conflicts: kdepim4-devel < 2:4.6.90-2

%description -n knotes
KNotes aims to be a useful and full featured notes application for
the KDE project. It tries to be as fast and lightweight as possible
although including some advanced features.

%files -n knotes
%_kde_bindir/knotes
%_kde_applicationsdir/knotes.desktop
%_kde_services/kontact/knotesplugin.desktop
%_kde_datadir/config.kcfg/knoteconfig.kcfg
%_kde_datadir/config.kcfg/knotesglobalconfig.kcfg
%_kde_appsdir/knotes
%_kde_services/kresources/knotes/local.desktop
%_kde_services/kresources/knotes_manager.desktop
%_kde_services/knote_config_action.desktop
%_kde_services/knote_config_display.desktop
%_kde_services/knote_config_editor.desktop
%_kde_services/knote_config_network.desktop
%_kde_services/knote_config_style.desktop
%_kde_libdir/kde4/knotes_local.so
%_kde_libdir/kde4/kcm_knote.so
%_kde_libdir/kde4/kontact_knotesplugin.so
%_datadir/dbus-1/interfaces/org.kde.KNotes.xml 

#------------------------------------------------------------------------------

%package -n knotes-handbook
Summary: Knotes handbook
Conflicts: knotes < 2:4.7.1
Requires:  knotes >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n knotes-handbook
This package provides knotes handbook

%files -n knotes-handbook
%_kde_docdir/HTML/en/knotes

#------------------------------------------------------------------------------

%package -n kontact
Summary: Kontact Container
Group: Networking/Other
URL:   http://www.kde.org/applications/office/kontact/

Requires: %name-core = %epoch:%version
Suggests: akregator
Suggests: kmail
Suggests: knotes
Suggests: ktimetracker
Suggests: knode
Suggests: kalarm
Suggests: kaddressbook
Suggests: korganizer
Suggests: kontact-handbook
Conflicts: kdepim4-devel < 2:4.6.90-2

%description -n kontact
The KDE Kontact Personal Information Management suite unites mature and
proven KDE applications under one roof. Thanks to the powerful KParts
technology, existing applications are seamlessly integrated into one.

%files -n kontact
%_kde_bindir/kontact
%_kde_appsdir/kontact
%_kde_appsdir/kontactsummary
%_kde_datadir/config.kcfg/kontact.kcfg
%_kde_services/kontactconfig.desktop
%_kde_services/kcmapptsummary.desktop
%_kde_services/kcmkontactsummary.desktop
%_kde_services/kontact/summaryplugin.desktop
%_kde_libdir/kde4/kcm_apptsummary.so
%_kde_libdir/kde4/kcm_kontact.so
%_kde_libdir/kde4/kcm_kontactsummary.so
%_kde_libdir/kde4/kontact_journalplugin.so
%_kde_libdir/kde4/kontact_summaryplugin.so
%_kde_libdir/kde4/kcm_sdsummary.so
%_kde_libdir/kde4/kontact_specialdatesplugin.so
%_kde_applicationsdir/Kontact.desktop
%_kde_applicationsdir/kontact-admin.desktop
%_kde_services/kontact/specialdatesplugin.desktop
%_kde_services/kcmsdsummary.desktop
%_datadir/dbus-1/interfaces/org.kde.kontact.KNotes.xml

#------------------------------------------------------------------------------

%package -n kontact-handbook
Summary: Kontact handbook
Conflicts: kontact < 2:4.7.1
Requires:  kontact >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n kontact-handbook
This package provides the kontact handbook

%files -n kontact-handbook
%_kde_docdir/HTML/en/kontact
%_kde_docdir/HTML/en/kontact-admin

#------------------------------------------------------------------------------

%define korganizer_interfaces_major 4
%define libkorganizer_interfaces %mklibname korganizer_interfaces %{korganizer_interfaces_major}

%package -n %libkorganizer_interfaces
Summary: KOrganizer runtime library
Group: System/Libraries

%description -n %libkorganizer_interfaces
KOrganizer runtime library.

%files -n %libkorganizer_interfaces
%_kde_libdir/libkorganizer_interfaces.so.%{korganizer_interfaces_major}*

#------------------------------------------------------------------------------

%package -n korganizer
Summary: Calendar and scheduling component
Group: Office/Organizer
URL:   http://www.kde.org/applications/office/korganizer/
Requires:  %name-core = %epoch:%version
Requires:  %name-kresources
Requires: kio4-ldap
Requires: akonadi-kde
Suggests: akonadi-google
Suggests: akonadi-facebook
Suggests: korganizer-handbook
Conflicts: kdepim4-devel < 2:4.6.90-2

%description -n korganizer
KOrganizer provides management of events and tasks, alarm notification,
web export, network transparent handling of data, group scheduling,
import and export of calendar files and more. It is able to work together
with a wide variety of groupware servers, for example Kolab, Open-Xchange,
Citadel or OpenGroupware.org.

%files -n korganizer
%_kde_bindir/ical2vcal
%_kde_bindir/korgac
%_kde_bindir/korganizer
%_kde_bindir/konsolekalendar
%_kde_libdir/kde4/kcm_todosummary.so
%_kde_libdir/kde4/kontact_todoplugin.so
%_kde_libdir/kde4/kcm_korganizer.so
%_kde_libdir/kde4/korg_*
%_kde_libdir/kde4/korganizerpart.so
%_kde_libdir/kde4/kontact_korganizerplugin.so
%_kde_appsdir/kconf_update/korganizer.upd
%_kde_appsdir/korgac
%_kde_appsdir/korganizer
%_kde_applicationsdir/korganizer-import.desktop
%_kde_applicationsdir/korganizer.desktop
%_kde_applicationsdir/konsolekalendar.desktop
%_kde_datadir/autostart/korgac.desktop
%_kde_datadir/config.kcfg/korganizer.kcfg
%_kde_datadir/config/korganizer.knsrc
%_kde_services/korganizer*
%_kde_services/webcal.protocol
%_kde_services/kontact/korganizerplugin.desktop
%_kde_services/kontact/todoplugin.desktop
%_kde_services/kcmtodosummary.desktop
%_kde_services/kontact/journalplugin.desktop
%_kde_servicetypes/calendardecoration.desktop
%_kde_servicetypes/calendarplugin.desktop
%_kde_servicetypes/dbuscalendar.desktop
%_kde_servicetypes/korganizerpart.desktop
%_kde_servicetypes/korgprintplugin.desktop
%_datadir/dbus-1/interfaces/org.kde.korganizer.KOrgac.xml
%_datadir/dbus-1/interfaces/org.kde.korganizer.Korganizer.xml
%_datadir/dbus-1/interfaces/org.kde.Korganizer.Calendar.xml

#------------------------------------------------------------------------------

%package -n korganizer-handbook
Summary: Korganizer Handboook
Conflicts: korganizer < 2:4.7.1
Requires:  korganizer >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n korganizer-handbook
This package provides korganizer handbook.

%files -n korganizer-handbook
%_kde_docdir/HTML/en/konsolekalendar
%_kde_docdir/HTML/en/korganizer

#------------------------------------------------------------------------------

%define korganizerprivate_major 4
%define libkorganizerprivate %mklibname korganizerprivate %{korganizerprivate_major}

%package -n %libkorganizerprivate
Summary: KOrganizer runtime library
Group: System/Libraries

%description -n %libkorganizerprivate
KOrganizer runtime library.

%files -n %libkorganizerprivate
%_kde_libdir/libkorganizerprivate.so.%{korganizerprivate_major}*

#------------------------------------------------------------------------------

%define messagelist_major 4
%define libmessagelist %mklibname messagelist %{messagelist_major}

%package -n %libmessagelist
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libmessagelist
KDEPIM 4 library.

%files -n %libmessagelist
%_kde_libdir/libmessagelist.so.%{messagelist_major}*

#------------------------------------------------------------------------------

%define kcal_resourceblog 4
%define libkcal_resourceblog %mklibname kcal_resourceblog %{kcal_resourceblog}

%package -n %libkcal_resourceblog
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkcal_resourceblog
KDEPIM 4 library.

%files -n %libkcal_resourceblog
%_kde_libdir/libkcal_resourceblog.so.%{kcal_resourceblog}*

#------------------------------------------------------------------------------

%define kcal_resourceremote_major 4
%define libkcal_resourceremote %mklibname kcal_resourceremote %{kcal_resourceremote_major}

%package -n %libkcal_resourceremote
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkcal_resourceremote
KDEPIM 4 library.

%files -n %libkcal_resourceremote
%_kde_libdir/libkcal_resourceremote.so.%{kcal_resourceremote_major}*

#------------------------------------------------------------------------------

%define kleopatraclientcore_major 0
%define libkleopatraclientcore %mklibname kleopatraclientcore %{kleopatraclientcore_major}

%package -n %libkleopatraclientcore
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkleopatraclientcore
KDEPIM 4 library.

%files -n %libkleopatraclientcore
%_kde_libdir/libkleopatraclientcore.so.%{kleopatraclientcore_major}*

#------------------------------------------------------------------------------

%define kleo_major 4
%define libkleo %mklibname kleo %{kleo_major}

%package -n %libkleo
Summary: KDE keymanagement library
Group: System/Libraries

%description -n %libkleo
KDE keymanagement library.

%files -n %libkleo
%_kde_libdir/libkleo.so.%{kleo_major}*

#------------------------------------------------------------------------------

%package kresources
Summary: KDE pim resource plugins
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Conflicts: kdepim4-akonadi < 2:4.3.0

%description kresources
This package includes several plugins needed to interface with groupware
servers. It also includes plugins for features such as blogging and
tracking feature plans.

%files kresources
%_kde_services/kresources/kcal/blog.desktop
%_kde_services/kresources/kcal/remote.desktop
%_kde_libdir/kde4/kcal_*

#------------------------------------------------------------------------------

%package -n kjots
Summary: Note Taker for KDE
Group: Office/Utilities
Url:   http://www.kde.org/applications/utilities/kjots/
Requires: %name-core = %epoch:%version
Requires: akonadi-kde
Requires: grantlee
Suggests: kjots-handbook

%description -n kjots
KJots organises all of your notes into separate books
Features :
   - Multiple books handled
   - Each book has many named pages
   - Books and pages can be rearranged by drag-and-drop
   - Keyboard shortcuts are available for many functions
   - Automatic saving means your notes are safe from loss.

%files -n kjots
%_kde_bindir/kjots
%_kde_libdir/kde4/kjotspart.so
%_kde_libdir/kde4/kcm_kjots.so
%_kde_libdir/kde4/kontact_kjotsplugin.so
%_kde_libdir/kde4/plasma_applet_akonotes_list.so
%_kde_libdir/kde4/plasma_applet_akonotes_note.so
%_kde_services/akonotes_list.desktop
%_kde_services/akonotes_note.desktop
%_kde_services/kjotspart.desktop
%_kde_services/kjots_config_misc.desktop
%_kde_services/kontact/kjots_plugin.desktop
%_kde_appsdir/desktoptheme/default/widgets/stickynote.svgz
%_kde_appsdir/kjots
%_kde_applicationsdir/Kjots.desktop
%_kde_datadir/config.kcfg/kjots.kcfg

#------------------------------------------------------------------------------

%package -n kjots-handbook
Summary: Kjots Handboook
Conflicts: kjots < 2:4.7.1
Requires:  kjots >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n kjots-handbook
This package provides kjots handbook.

%files -n kjots-handbook
%_kde_docdir/HTML/en/kjots

#------------------------------------------------------------------------------

%package -n ksendemail
Summary: KDE Command Line Emailer
Group: Networking/Mail 
Requires: %name-core = %epoch:%version

%description -n ksendemail
KDE Command Line Emailer.

%files -n ksendemail
%_kde_bindir/ksendemail

#------------------------------------------------------------------------------

%package -n akonadiconsole
Summary: Console that help debugging Akonadi
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Conflicts: kdepim4-core < 2:4.4.2-5

%description -n akonadiconsole
A Console that help debugging Akonadi.

%files -n akonadiconsole
%_kde_bindir/akonadiconsole
%_kde_applicationsdir/akonadiconsole.desktop
%_kde_appsdir/akonadiconsole/akonadiconsoleui.rc

#------------------------------------------------------------------------------

%define calendarsupport_major 4
%define libcalendarsupport %mklibname calendarsupport %{calendarsupport_major}

%package -n %libcalendarsupport
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libcalendarsupport
KDEPIM 4 library.

%files -n %libcalendarsupport
%_kde_libdir/libcalendarsupport.so.%{calendarsupport_major}*

#------------------------------------------------------------------------------

%define eventviews_major 4
%define libeventviews %mklibname eventviews %{eventviews_major}

%package -n %libeventviews
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libeventviews
KDEPIM 4 library.

%files -n %libeventviews
%_kde_libdir/libeventviews.so.%{eventviews_major}*

#------------------------------------------------------------------------------

%define incidenceeditorsng_major 4
%define libincidenceeditorsng %mklibname incidenceeditorsng %{incidenceeditorsng_major}

%package -n %libincidenceeditorsng
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libincidenceeditorsng
KDEPIM 4 library.

%files -n %libincidenceeditorsng
%_kde_libdir/libincidenceeditorsng.so.%{incidenceeditorsng_major}*

#------------------------------------------------------------------------------

%define incidenceeditorsngmobile_major 4
%define libincidenceeditorsngmobile %mklibname incidenceeditorsngmobile %{incidenceeditorsngmobile_major}

%package -n %libincidenceeditorsngmobile
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libincidenceeditorsngmobile
KDEPIM 4 library.

%files -n %libincidenceeditorsngmobile
%_kde_libdir/libincidenceeditorsngmobile.so.%{incidenceeditorsngmobile_major}*

#------------------------------------------------------------------------------

%define kdepimdbusinterfaces_major 4
%define libkdepimdbusinterfaces %mklibname kdepimdbusinterfaces %{kdepimdbusinterfaces_major}

%package -n %libkdepimdbusinterfaces
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkdepimdbusinterfaces
KDEPIM 4 library.

%files -n %libkdepimdbusinterfaces
%_kde_libdir/libkdepimdbusinterfaces.so.%{kdepimdbusinterfaces_major}*


#------------------------------------------------------------------------------

%define kdgantt2_major 0
%define libkdgantt2 %mklibname kdgantt2 %{kdgantt2_major}

%package -n %libkdgantt2
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkdgantt2
KDEPIM 4 library.

%files -n %libkdgantt2
%_kde_libdir/libkdgantt2.so.%{kdgantt2_major}*

#------------------------------------------------------------------------------

%define kleopatraclientgui_major 0
%define libkleopatraclientgui %mklibname kleopatraclientgui %{kleopatraclientgui_major}

%package -n %libkleopatraclientgui
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkleopatraclientgui
KDEPIM 4 library.

%files -n %libkleopatraclientgui
%_kde_libdir/libkleopatraclientgui.so.%{kleopatraclientgui_major}*

#------------------------------------------------------------------------------

%define kmanagesieve_major 4
%define libkmanagesieve %mklibname kmanagesieve %{kmanagesieve_major}

%package -n %libkmanagesieve
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkmanagesieve
KDEPIM 4 library.

%files -n %libkmanagesieve
%_kde_libdir/libkmanagesieve.so.%{kmanagesieve_major}*

#------------------------------------------------------------------------------

%define ksieveui_major 4
%define libksieveui %mklibname ksieveui %{ksieveui_major}

%package -n %libksieveui
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libksieveui
KDEPIM 4 library.

%files -n %libksieveui
%_kde_libdir/libksieveui.so.%{ksieveui_major}*

#------------------------------------------------------------------------------

%define mailcommon_major 4
%define libmailcommon %mklibname mailcommon %{mailcommon_major}

%package -n %libmailcommon
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libmailcommon
KDEPIM 4 library.

%files -n %libmailcommon
%_kde_libdir/libmailcommon.so.%{mailcommon_major}*

#------------------------------------------------------------------------------

%define messageviewer_major 4
%define libmessageviewer %mklibname messageviewer %{messageviewer_major}

%package -n %libmessageviewer
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libmessageviewer
KDEPIM 4 library.

%files -n %libmessageviewer
%_kde_libdir/libmessageviewer.so.%{messageviewer_major}*

#------------------------------------------------------------------------------

%define messagecomposer_major 4
%define libmessagecomposer %mklibname messagecomposer %{messagecomposer_major}

%package -n %libmessagecomposer
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libmessagecomposer
KDEPIM 4 library.

%files -n %libmessagecomposer
%_kde_libdir/libmessagecomposer.so.%{messagecomposer_major}*

#------------------------------------------------------------------------------

%define templateparser_major 4
%define libtemplateparser %mklibname templateparser %{templateparser_major}

%package -n %libtemplateparser
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libtemplateparser
KDEPIM 4 library.

%files -n %libtemplateparser
%_kde_libdir/libtemplateparser.so.%{templateparser_major}*

#------------------------------------------------------------------------------

%define akonadi_next_major 4
%define libakonadi_next %mklibname akonadi-next %{akonadi_next_major}

%package -n %libakonadi_next
Summary: KDEPIM 4 library
Group: System/Libraries


%description -n %libakonadi_next
KDEPIM 4 library.

%files -n %libakonadi_next
%_kde_libdir/libakonadi_next.so.%{akonadi_next_major}*


%if %kontact_mobile
#------------------------------------------------------------------------------

%package  mobile-common
Summary: Mobile version of kontact
Group: Graphical desktop/KDE

%description mobile-common
This version provides the mobile version of kontact


%files mobile-common
%_kde_libdir/kde4/imports/org/kde/pim/mobileui/
%_kde_appsdir/mobileui/
%_kde_appsdir/kontact-touch/

#------------------------------------------------------------------------------

%package -n kaddressbook-mobile
Summary: Mobile version of kaddressbook
Group:   Graphical desktop/KDE
Requires: %name-mobile-common 
%description -n kaddressbook-mobile
This version provides the mobile version of kaddressbook

%files -n kaddressbook-mobile
%_kde_bindir/kaddressbook-mobile
%_kde_appsdir/kaddressbook-mobile/
%_kde_applicationsdir/kaddressbook-mobile.desktop

#------------------------------------------------------------------------------

%package -n kmail-mobile
Summary: Mobile version of kmail
Group:   Graphical desktop/KDE 
Requires: %name-mobile-common 

%description -n kmail-mobile
This version provides the mobile version of kmail

%files -n kmail-mobile
%_kde_bindir/kmail-mobile
%_kde_appsdir/kmail-mobile/
%_kde_applicationsdir/kmail-mobile.desktop

#------------------------------------------------------------------------------

%package -n korganizer-mobile
Summary: Mobile version of korganizer
Group:   Graphical desktop/KDE
Requires: %name-mobile-common 

%description -n korganizer-mobile
This version provides the mobile version of korganizer

%files -n korganizer-mobile
%_kde_bindir/korganizer-mobile
%_kde_bindir/tasks-mobile
%_kde_appsdir/tasks-mobile/
%_kde_appsdir/korganizer-mobile/
%_kde_applicationsdir/korganizer-mobile.desktop
%_kde_applicationsdir/tasks-mobile.desktop

#------------------------------------------------------------------------------

%package -n notes-mobile
Summary: Mobile version of notes
Group:   Graphical desktop/KDE
Requires: %name-mobile-common 

%description -n notes-mobile
This version provides the mobile version of notes

%files -n notes-mobile
%_kde_bindir/notes-mobile
%_kde_appsdir/notes-mobile/
%_kde_applicationsdir/notes-mobile.desktop

#------------------------------------------------------------------------------

%define  kdepimmobileui_major 4
%define  libkdepimmobileui %mklibname kdepimmobileui %{kdepimmobileui_major}

%package -n %libkdepimmobileui
Summary: Runtime library for kontact mobile
Group: System/Libraries

%description -n %libkdepimmobileui
This package provides the runtime library for kontact mobile

%files -n %libkdepimmobileui
%_kde_libdir/libkdepimmobileui.so.%{kdepimmobileui_major}*

%endif

#------------------------------------------------------------------------------

%define libpimcommon_major 4
%define libpimcommon %mklibname pimcommon %{libpimcommon_major}

%package -n %libpimcommon
Summary: Library to import/export PIM configuration
Group: System/Libraries

%description -n %libpimcommon
This library provides the tool to import/export PIM configuration.

%files -n %libpimcommon
%_kde_libdir/libpimcommon.so.%{libpimcommon_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: kdepim4-runtime-devel >= %epoch:%version
Requires: %libkdepim = %epoch:%version
Requires: %libkpgp = %epoch:%version
Requires: %libksieve = %epoch:%version
Requires: %libakregatorinterfaces = %epoch:%version
Requires: %libakregatorprivate = %epoch:%version
%if %{with_kitchensync}
Requires: %libkitchensyncprivate = %epoch:%version
Requires: %libqopensync = %epoch:%version
%endif
Requires: %libknodecommon = %epoch:%version
Requires: %libkmailprivate = %epoch:%version
Requires: %libkorganizerprivate = %epoch:%version
Requires: %libkorganizer_interfaces = %epoch:%version
Requires: %libkcal_resourceremote = %epoch:%version
Requires: %libkcal_resourceblog = %epoch:%version
Requires: %libkleo = %epoch:%version
Requires: %libmessagelist = %epoch:%version
Requires: %libmessagecore = %epoch:%version
Requires: %libmessageviewer = %epoch:%version
%if ! %kalarm_with_akonadi
Requires: %libkalarm_calendar = %epoch:%version
Requires: %libkalarm_resources = %epoch:%version
%endif
Requires: %libakonadi_next = %epoch:%version

%description  devel
This package contains header files needed if you wish to build applications
based on kdepim.

%files devel
%_kde_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q -n kdepim-%version
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF \
%if %kontact_mobile
-DKDEPIM_BUILD_MOBILE=true
%else
 -DKDEPIM_BUILD_MOBILE=false
%endif

%make

%install
rm -fr %buildroot
%makeinstall_std -C build

# remove category "Monitor" to put ktimetracker in menu "Tools" instead of "System tools" (mga #7264)
# in mga we use the category "Monitor" mainly for system monitoring tools
desktop-file-install \
    --remove-category="Monitor" \
    --dir %{buildroot}%{_kde_applicationsdir} %{buildroot}%_kde_applicationsdir/ktimetracker.desktop


%changelog

* Sat Apr 13 2013 mikala <mikala> 2:4.10.2-3.mga3
+ Revision: 409874
- Add several patch from 4.10 branch :
 101 to add a missing mimetype
 102 to use the correct index (& increase speed)
 103 to fix completion functionnality (kde #259949)

* Sat Apr 06 2013 mikala <mikala> 2:4.10.2-2.mga3
+ Revision: 408499
- Add patch100 from branch to fix a crash of kdepim when cloning or creating a new theme (kde #317780)

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407169
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401870
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394346
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

  + lmenut <lmenut>
    - Move ktimetracker in menu Tools instead of System tools (mga #7264)

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 356013
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339367
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Thu Jan 03 2013 mikala <mikala> 2:4.9.95-2.mga3
+ Revision: 338069
- Rebuild for new grantlee

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334500
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1
- Fix files list

* Tue Dec 04 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326696
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Thu Nov 22 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320590
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Add missing BuildRequires
- Fix files list

* Thu Nov 08 2012 fwang <fwang> 2:4.9.3-1.mga3
+ Revision: 316373
- update some rpm groups

  + mikala <mikala>
    - Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301918
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289693
- Update tarball to KDE SC 4.9.1

  + neoclust <neoclust>
    - Add missing requires on kjot subpackage ( mikala)

* Wed Aug 01 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 277026
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269673
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 2:4.8.95-1.mga3
+ Revision: 265705
- New version: 4.8.95

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257208
- new version 4.8.4

* Mon Apr 23 2012 lmenut <lmenut> 2:4.8.2-3.mga2
+ Revision: 232754
- fix knotes-handbook requires

* Fri Apr 13 2012 mikala <mikala> 2:4.8.2-2.mga2
+ Revision: 230718
- Add missing requires for handbooks

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228412
- new version 4.8.2

* Thu Mar 29 2012 lmenut <lmenut> 2:4.8.1-2.mga2
+ Revision: 227485
- add missing suggests

  + mikala <mikala>
    - New upstream tarball

* Wed Mar 07 2012 fwang <fwang> 2:4.8.1-1.mga2
+ Revision: 220861
- update file list
- new version 4.8.1

* Mon Jan 23 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 200267
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-0.mga2
+ Revision: 191428
- Update tarball to KDE SC 4.7.97
- Fix files list (kressources for groupwise has been removed upstream)

* Tue Dec 27 2011 mikala <mikala> 2:4.7.95-2.mga2
+ Revision: 188230
- Fix requires :
 - kio-ldap should be on kaddressbook
 - akonadi-kde is needed by kaddressbook (& not akonadi-common which was an empty package)
 - akonadi-kde is now also required by kalarm
- Suggests akonadi-google instead of akonadi-googledata (seems less maintained upstream :/)
- Add akonadi-google as suggests on korganizer
- Add missing requires for kmail
- use %%docdir macro to mark as documentation _kde_docdir/HTML/en

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185997
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182078
- Update tarball to KDE SC 4.7.90
- use gold linker

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176407
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161309
- Update tarball to KDE SC 4.7.3
- Add package for kontact mobile (disable until we get plasma active)
- Use correct macro for dbus & polkit files

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151948
- Update tarball to KDE SC 4.7.2

* Thu Sep 08 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140987
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- remove %%clean section
- Fix requires for -devel package
- Update tarball to KDE SC 4.7.0
- fix license
- remove %%defattr
- move files from %%{_lib}kpgp4 & %%{_lib}kdepim4 to core package
- use kde4 macros

  + anssi <anssi>
    - add conflicts with old kmail-common on messageviewer for smooth
      upgrade

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122486
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Thu Jul 07 2011 mikala <mikala> 2:4.6.90-2.mga2
+ Revision: 119609
- Move dbus files from -devel to common,kmail,kadressbook,korganizer,kontact,knode,kalarm package

* Wed Jun 29 2011 mikala <mikala> 2:4.6.90-1.mga2
+ Revision: 115632
- Add a requires for akonadi-kde (kmail2 is using akonadi now)
- Update tarball to KDE SC 4.7 RC1( 4.6.90)
- Fix file list
- Clean BuildRequires
- Don't build kdepim mobile

* Thu Jun 16 2011 mikala <mikala> 2:4.4.11.1-3.mga2
+ Revision: 108349
- Drop patch merged
- Add akonadi-kde as requires only for korganizer & kadressbook ( #1774)
- Add an URL for various subpackages
- Clean spec

* Thu May 12 2011 mikala <mikala> 2:4.4.11.1-2.mga1
+ Revision: 97599
- Add patch104 from 4.4 branch to fix kde #247486 ( Fix spell check)

* Wed May 04 2011 mikala <mikala> 2:4.4.11.1-1.mga1
+ Revision: 94920
- Add patch402 (backport a fix from 4.6 branch) should fix a regression when displaying only unread articles
 thks to dglent for the kde bug report

* Wed Apr 27 2011 mikala <mikala> 2:4.4.11.1-0.mga1
+ Revision: 92094
- Update tarball to 4.4.11.1
- Drop patchs merged
- Add some branch patchs:
 - Patch100 for kalarm to use the correct location for KSpeech
 - Patch101 for kalarm to fix kde #266082 (highlight alarm when message window KAlarm button clicked)
 - Patch103 for kalarm to fix kde #271580 (Fix crash displaying New Alarm dialog from system tray)
 - Patch102 to fix kde #268120 (  Only start akonadi asynchronously on KDE 4.6.2 )

* Mon Apr 11 2011 dmorgan <dmorgan> 2:4.4.10-4.mga1
+ Revision: 83149
- Fix summary

  + mikala <mikala>
    - Remove Provides: kde4-apps
    - Apply branch patchs before mageia's patchs
    - Rediff patch1 ( provide a welcome message on kmail)
    - Move all specific mageia patch to 400+
    - Add patch from 4.4 branch :
     -Patch106 for messageviewer to fix kde #262680 ( Don't show next and previous
      buttons if the attendee list is empty)
     -Patch107 for kalarm ( allow to validate sound volume when reading from
      calendar)

* Tue Apr 05 2011 mikala <mikala> 2:4.4.10-3.mga1
+ Revision: 80821
- Drop patch 200,201,202 merged upstream
- Add branch patch 105 (replace 200,201,202 & allow to start kdepim4-asynchrously if built against 4.6 which is our case)

* Wed Mar 30 2011 mikala <mikala> 2:4.4.10-2.mga1
+ Revision: 78998
- Add patch from 4.4 branch:
- Patch for kalarm:
  patch100 (Fix initialisation of library global statics)
  patch101 (Fix bad borders round left hand buttons of time spinboxes in Oxygen style)
- Patch for kmail:
  patch102 ( Fix enable/disable remove button)
  patch103 (Update icons/text in tab when we change them)
  patch104 (Fix potential crash bug kde #269173)

* Wed Feb 16 2011 mikala <mikala> 2:4.4.10-1.mga1
+ Revision: 52153
- Fix file list (Special Dates and Planner summaries *disabled* by defaut)
- Remove some BR pulled by kdepim4-runtime-devel
- Update to KDEPIM 4.4.10
- Update description & summary for various subpackages

* Fri Jan 21 2011 ahmad <ahmad> 2:4.4.9-2.mga1
+ Revision: 29645
- don't build with nepomuk-scribo (conflicts with kdelibs4 atm)
- drop old obsoletes/conflicts
- improve some packages description/summary

  + dmorgan <dmorgan>
    - imported package kdepim4

